Package org.apache.wiki.plugin

## Class ReferringUndefinedPagesPlugin

- java.lang.Object
- - org.apache.wiki.plugin.AbstractReferralPlugin
  - - org.apache.wiki.plugin.ReferringUndefinedPagesPlugin

All Implemented Interfaces:
  `Plugin`

    public class ReferringUndefinedPagesPlugin
    extends AbstractReferralPlugin

Lists all pages containing links to Undefined Pages (pages containing dead links).

An original idea from Gregor Hagedorn.

Since:
  2.10.0

### Field Summary

Fields
`static java.lang.String` `PARAM_EXTRAS` Parameter name for setting the text to show when the maximum items is overruled.
`static java.lang.String` `PARAM_MAX` Parameter name for setting the maximum items to show.

### Fields inherited from class org.apache.wiki.plugin.AbstractReferralPlugin

`ALL_ITEMS, items, m_after, m_before, m_dateFormat, m_dateLastModified, m_engine, m_exclude, m_include, m_lastModified, m_maxwidth, m_separator, m_show, m_sorter, PARAM_AFTER, PARAM_BEFORE, PARAM_COLUMNS, PARAM_EXCLUDE, PARAM_INCLUDE, PARAM_LASTMODIFIED, PARAM_MAXWIDTH, PARAM_SEPARATOR, PARAM_SHOW, PARAM_SHOW_VALUE_COUNT, PARAM_SHOW_VALUE_PAGES, PARAM_SORTORDER, PARAM_SORTORDER_HUMAN, PARAM_SORTORDER_JAVA, PARAM_SORTORDER_LOCALE`

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

### Constructor Summary

Constructors
`ReferringUndefinedPagesPlugin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `execute​(Context context, java.util.Map<java.lang.String,​java.lang.String> params)`

### Methods inherited from class org.apache.wiki.plugin.AbstractReferralPlugin

`applyColumnsStyle, filterAndSortCollection, filterCollection, filterWikiPageCollection, initialize, makeHTML, wikitizeCollection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PARAM_MAX

    public static final java.lang.String PARAM_MAX

Parameter name for setting the maximum items to show. Value is `"max"`.

See Also:
  Constant Field Values

#### PARAM_EXTRAS

    public static final java.lang.String PARAM_EXTRAS

Parameter name for setting the text to show when the maximum items is overruled. Value is `"extras"`.

See Also:
  Constant Field Values

### Constructor Detail

#### ReferringUndefinedPagesPlugin

    public ReferringUndefinedPagesPlugin()

### Method Detail

#### execute

    public java.lang.String execute​(Context context,
                                    java.util.Map<java.lang.String,​java.lang.String> params)
                             throws PluginException

Throws:
  `PluginException`